%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           puppet-host-package
Version:        0.5.0
Release:        1%{?dist}
Summary:        Create host-specific packages for puppet clients

Group:          Applications/System
License:        GPLv2+
URL:            http://pobox.com/~tmz/puppethost
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
#Requires:       puppet-server
%if 0%{?fedora}
Requires:       pyOpenSSL >= 0.7
%endif
%if 0%{?rhel}
Requires:       openssl
%endif

%description
This tool creates host-specific packages for bootstrapping a puppet client.

%prep
%setup -q

# tweak the default spec template path
touch --reference puppethost.py temp
sed -i -e "s|\('template': *\).*|\1'%{_datadir}/puppethost/template.spec',|" \
       puppethost.py
touch --reference temp puppethost.py
rm -f temp


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/*


%changelog
* Fri Nov 28 2008 Todd Zullinger <tmz@pobox.com> - 0.5.0-1
- Update to 0.5.0
  - Set version to today's date for generated certs
  - Note pyOpenSSL/openssl requirement in README
  - Note --help (-h) to list options in README

* Thu Nov 27 2008 Todd Zullinger <tmz@pobox.com> - 0.4.0-1
- Update to 0.4.0
  - Expand ~ and ~user in paths
  - Handle boolean and numeric options in config file
  - Add a README file
  - Add license file and header
  - Split puppethost.py into script and module
  - Add version info to module
  - Create a distutils-based installer
- Require pyOpenSSL on Fedora and openssl on EL

* Wed Nov 26 2008 Todd Zullinger <tmz@pobox.com> - 0.3-1
- Update to 0.3
  - Improve progress output

* Wed Nov 26 2008 Todd Zullinger <tmz@pobox.com> - 0.2-1
- Update to 0.2
  - Fix domain when hostname is not fully qualified
  - Symlink certificates from ca/signed to certs/
- Use %%name and %%version macros in Source0

* Tue Nov 25 2008 Todd Zullinger <tmz@pobox.com> - 0.1-1
- Initial package
